Bug 126840 - [PATCH] update sysutils/fusefs-wdfs to use neon28 if possible
Summary: [PATCH] update sysutils/fusefs-wdfs to use neon28 if possible
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-26 02:20 UTC by Josh Paetzel <josh@tcbug.org>
Modified: 2009-03-01 03:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Paetzel <josh@tcbug.org> 2008-08-26 02:20:01 UTC

sysutils/fusefs-wdfs depends on www/neon26 which is a subset of but CONFLICTS with www/neon28.  The following patch will use neon26 if it's installed, otherwise it will pull in neon28

Fix: 

-LIB_DEPENDS=   fuse.2:${PORTSDIR}/sysutils/fusefs-libs \
-               neon.26:${PORTSDIR}/www/neon26
+LIB_DEPENDS=   fuse.2:${PORTSDIR}/sysutils/fusefs-libs
+
+.if exists(${LOCALBASE}/lib/libneon.so.26)
+LIB_DEPENDS+=   neon.26:${PORTSDIR}/www/neon26
+.else
+LIB_DEPENDS+=   neon.28:${PORTSDIR}/www/neon28
+.endif
+
 RUN_DEPENDS=   ${LOCALBASE}/modules/fuse.ko:${PORTSDIR}/sysutils/fusefs-kmod

 GNU_CONFIGURE= yes--YYflUYYdcfHoUcc30w1uX7fV26RjfPRVCc9ox5K38zqzLf8B
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.old        2008-08-21 06:24:14.000000000 +0000
+++ Makefile    2008-08-21 06:25:15.000000000 +0000
@@ -15,8 +15,14 @@
 MAINTAINER=    tgyurci@freemail.hu
 COMMENT=       Mount remote WedDAV directories with Fuse
How-To-Repeat: 

Install some that depends on neon28 (subversion, trac, kde3)

cd /usr/ports/sysutils/fusefs-wdfs
make install

watch it bomb as it tries to build www/neon26
Comment 1 Edwin Groothuis freebsd_committer 2008-08-26 02:20:10 UTC
Maintainer of sysutils/fusefs-wdfs,

Please note that PR ports/126840 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126840

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-08-26 02:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Stefan Walter freebsd_committer 2008-10-20 11:18:27 UTC
Hi Gyorgy,

did you have a look at the patch for sysutils/fusefs-wdfs which Josh sent
in ports/126840 [1]? Should it be committed?

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126840
Comment 4 Stefan Walter freebsd_committer 2008-10-20 11:18:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 5 Stefan Walter freebsd_committer 2008-10-21 12:42:21 UTC
Responsible Changed
From-To: stefan->jpaetzel

Assign to submitter, who has become a ports committer after sending the PR.
Comment 6 dfilter service freebsd_committer 2009-03-01 03:00:55 UTC
jpaetzel    2009-03-01 03:00:46 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/fusefs-wdfs Makefile 
  Log:
  Update sysutils/fusefs-wdfs to use neon28
  Based on ports/126840
  
  PR:     ports/126840
  Approved by:    linimon (mentor)
  
  Revision  Changes    Path
  1.10      +2 -2      ports/sysutils/fusefs-wdfs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Josh Paetzel freebsd_committer 2009-03-01 03:58:51 UTC
State Changed
From-To: feedback->closed

patch committed with modifications